Windows
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Windows action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Execute: msbuild",
"type": "NATIVE_BUILD_WINDOWS",
"trigger_time": "ON_EVERY_EXECUTION",
"working_directory": "c:\\windows",
"commands": [
"nuget restore",
"msbuild"
],
"execute_every_command": true,
"distribution": "AMI",
"ami": {
"id": "ami-00bf6b81ba0081ada",
"password": "pass-to-admin"
},
"sync_paths": [
{
"pipeline_path": "/",
"vm_path": "c:\\buddy",
"direction": "PIPELINE_TO_VM"
},
{
"pipeline_path": "/",
"vm_path": "c:\\buddy",
"direction": "VM_TO_PIPELINE"
}
]
}'STATUS200 OK